org.eclipse.mat.parser.index

## Interface IIndexReader.IOne2LongIndex

All Superinterfaces:
  IIndexReader

All Known Implementing Classes:
  IndexReader.LongIndexReader, IndexWriter.Identifier

Enclosing interface:
  IIndexReader

    public static interface IIndexReader.IOne2LongIndex
    extends IIndexReader

Index from object id to a long. For example, object id to object address or object id to retained size.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.parser.index.IIndexReader

`IIndexReader.IOne2LongIndex, IIndexReader.IOne2ManyIndex, IIndexReader.IOne2ManyObjectsIndex, IIndexReader.IOne2OneIndex, IIndexReader.IOne2SizeIndex`

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `get(int index)`
`long[]` `getNext(int index, int length)`
`int` `reverse(long value)`

### Methods inherited from interface org.eclipse.mat.parser.index.IIndexReader

`close, delete, size, unload`

### Method Detail

#### get

    long get(int index)

#### reverse

    int reverse(long value)

#### getNext

    long[] getNext(int index,
                   int length)